Skip to main content
GET
Get Balance Sheet

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Query Parameters

cadence
enum<string>
default:monthly
Available options:
daily,
monthly,
quarterly,
weekly,
yearly
end_date
string<date>

Latest date (inclusive) for which to retrieve data. Defaults to end of current month

entity
integer

Entity ID(s) to scope the report. Can be repeated (?entity=1&entity=2) or JSON array

entity_rollup
boolean
default:false

If true, includes all data of children entities in consolidation

group_by
string
start_date
string<date>

Earliest period (inclusive) shown in the report. NOTE: balances are NOT calculated starting from this date - account balances are always accumulated from the beginning of time through each period end. start_date, end_date, and cadence only control how the report is split into periods (columns). Defaults to six months ago.

Response

200 - application/json
balance_sheet
object[]
start_date
string<date>
end_date
string<date>
cadence
string
headers
object